<?php
/*
OekakiPoteto 5.x Copyright 2000-2002 RanmaGuy (Theo Chakkapark, http://suteki.nu) and Marcello Basta-Forte (http://marcello.cellosoft.com). Modification to the files are permitted as long as my name remains on the files.

Wacintaki Poteto modifications Copyright 2004-2010 Marc "Waccoon" Leveille
http://www.NineChime.com/products/
Version 1.5.0 - Last modified 2/7/2010
*/


// Load bootstrap
define ('BOOT', 1);
require ('boot.php');


if ($cfg['use_mailbox'] != 'yes') {
	report_err( t('mailerrmsg1'));
}
if (!empty ($OekakiU)) {
	if (!$flags['owner']) {
		report_err( t('mailerrmsg5'));
	}
} else {
	report_err( t('mailerrmsg3'));
}


require ('header.php');


// How many users?
$result = db_query ("SELECT COUNT(ID) FROM {$db_mem}oekaki WHERE usrflags !='P'");
$num_users = (int) db_result ($result, 0);

// How many super admins?
$result = db_query ("SELECT COUNT(ID) FROM {$db_mem}oekaki WHERE rank=".RANK_SADMIN);
$num_sadmins = (int) db_result ($result, 0);

// How many admins?
$result = db_query ("SELECT COUNT(ID) FROM {$db_mem}oekaki WHERE rank >= ".RANK_MOD);
$num_admins = (int) db_result ($result, 0);


?>
<div id="contentmain">
	<form name="form1" method="post" action="functions.php">
		<input name="action" type="hidden" value="massmail" />

		<div class="infotable">
			<?php tt('word_mailbox');?>:
			[<a href="mailbox.php"><?php tt('word_inbox');?></a>]
			[<a href="mailout.php"><?php tt('word_outbox');?></a>]
		</div>
		<br />


		<!-- Massmail -->
		<h1 class="header">
			<?php tt('massm_smassm');?> 
		</h1>

		<div class="infotable">
			<p class="infotable">
				<?php tt('massmailmsg1');?><br />
				<br />
				<?php tt('massmailmsg2');?><br />
				<br />
				<?php tt('word_registered');?>:  <?php echo ($num_users - $num_admins);?> <?php tt('word_members');?> <?php tt('word_and');?> <?php echo $num_admins;?> <?php echo $lagop_word_admins;?>.
			</p>

			<p>
				<strong><?php tt('sendm_sendt');?>:</strong>
			</p>
			<p class="subtext">
				<select name="send_to" class="txtinput">
					<option value="G"><?php tt('word_everyone');?></option>
					<option value="A" selected="selected">All admins/mods</option>
					<option value="S"><?php tt('supadminonl');?></option>
					<option value="D"><?php tt('word_flags');?>: <?php tt('word_draw');?></option>
					<option value="U"><?php tt('word_flags');?>: <?php tt('word_upload');?></option>
					<option value="X"><?php tt('word_flags');?>: <?php tt('type_adultview');?></option>
					<option value="I"><?php tt('word_flags');?>: <?php tt('type_immunity');?></option>
				</select>
			</p>

			<p>
				<strong><?php tt('word_subject');?>:</strong> <em><?php tt('mail_subdesc');?></em>
			</p>
			<p class="subtext">
				<input name="subject" type="text" class="txtinput" style="width: 100%" size="40" maxlength="255" />
			</p>

			<p>
				<strong><?php tt('word_message');?></strong>: <em><?php tt('mail_bodydesc');?></em>
			</p>
			<p class="subtext">
				(<a href="niftyusage.php" onclick="openWindow('niftyusage.php', 500, 300); return false"><?php tt('common_niftytoo');?></a>)
			</p>

			<p class="subtext">
				<textarea name="body" cols="40" rows="10" class="multiline" style="width: 100%;"></textarea>
			</p>

			<p>
				<input name="mass" type="submit" value="<?php tt('word_send');?>" class="submit" />
			</p>
		</div>
	</form>
</div>


<?php include ('footer.php'); ?>